<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link rel="stylesheet" type="text/css" href="styles.css" />
  <script defer src="./src/Validation/airlineValidation.js"></script>
  <script type="module" defer src="./src/airlines.js"></script>
  <title>Rise Airlines</title>
</head>

<body>
  <header>
      <p>Rise Airlines 2024 <img src="./images/header-plane.png" alt="Airline" /></p>

      <ul class="navigation">
        <li>
            <a href="airports.html">Airports</a>
        </li>
        <li>
            <a class="active" href="airlines.html">Airlines</a>
        </li>
        <li>
            <a href="flights.html">Flights</a>
        </li>
      </ul>
    </header>

    <section class="nav">
      <nav>
        <ul>
          <li><a href="index.html"><img src="./images/left sidebar.png" alt="Airline" /></a></li>
        </ul>
      </nav>
    </section>

  </header>

  <section class="page-content">
      <h2>Airlines</h2>

      <div class="line"></div>

      <table id="main-table">
        <thead>
          <tr>
            <th>Name</th>
            <th>Founded</th>
            <th>Fleet Size</th>
            <th>Description</th>
          </tr>
        </thead>
        <tbody></tbody>
      </table>
    </section>
    
    <section class="form">
      <button class="orange-button" id="show-form-button">Show Form</button>
      <form id="submit-entity-form" method="post">
        <fieldset>
          <legend>Add New Airline</legend>
          <label for="name">Name</label>
          <input type="text" id="airline-name" name="name" />
          <span id="airline-name-error" class="form-error-text"></span>
          <label for="founded">Founded</label>
          <input type="date" id="airline-founded" name="founded" />
          <span id="airline-founded-error" class="form-error-text"></span>
          <label for="fleet-size">Fleet Size</label>
          <input type="number" id="airline-fleet-size" name="fleet-size" />
          <span id="airline-fleet-size-error" class="form-error-text"></span>
          <label for="description">Description</label>
          <input type="text" id="airline-description" name="description"></input>
          <span id="airline-description-error" class="form-error-text"></span>
          <input type="submit" value="Submit" class="orange-button" id="submit-form-button" />
        </fieldset>
      </form>
    </section>

  <footer>Rise Airlines 2024 &#169;</footer>
</body>

</html>